gaSummary {GA} | R Documentation

## Summarize genetic algorithm evolution

### Description

A function which returns fitness summary statistics at each iteration of GA search.

### Usage

    gaSummary(x, ...)

### Arguments

`x` | a vector of fitness values for which summary statistics should be computed.
`...` | further arguments passed to or from other methods.

### Details

This function computes summary statistics for a vector of fitness values at current iteration of GA search.

### Value

A vector with the following values: `(max, mean, median, min)`

### Author(s)

Luca Scrucca

### See Also

`ga`

[Package GA version 3.2 Index]